{% extends "base.html" %} {% load static %} {% block internal_css %} {% load render_bundle from webpack_loader %}

    <link rel="preload" href="{% static 'css/index.css' %}" as="style" onload="this.onload=null;this.rel='stylesheet'"
          onerror="this.rel='stylesheet'">
    <noscript>
        <link rel="stylesheet" href="{% static 'css/index.css' %}">
    </noscript>
{% endblock %} {% block external_js %}
    <script async src="https://d3js.org/d3.v4.min.js"></script>
{% endblock %} {% block internal_js %}


    {# <script src="{% static 'js/index.js' %}"></script> #}
{% endblock %} {% block content %} {% csrf_token %}

    <div class="header ">
        <div class="header_div">
            <img class="header_image" alt="Data Coordination Center" src="/static/images/dcc_logo_long.svg"
                 onerror="this.className=''; this.src='/static/images/dcc_logo.png'"> {% if not user.is_authenticated %}
            <div class="header_button">
                <button type="button" onclick="location.href='/users/login/'" class="btn btn-light btn-lg btn--login">
                    Register or Login
                </button>
            </div>
            <div class="header_text">
                to add data & annotations
            </div>
        {% endif %}
        </div>

        <div class="header_text">
            This Data Coordination Center (DCC) allows researchers to submit and view their data sets annotated with standard metadata nomenclatures.
        </div>

    </div>

    <div class="chart_div">
        <div class="chart_title">
            <h2>Annotated Data in the DCC</h2>
        </div>

        <div class="button_row">
            <div class="btn-group" role="group">
                <button type="button" name="show_seqs" class="btn btn-outline-primary active">Sequencing Runs</button>
                <button type="button" name="show_size" class="btn btn-outline-primary">File Sizes</button>
            </div>
            <form class="select-group">
                <label><input type="radio" name="mode" value="grouped"> Grouped</label>
                <label><input type="radio" name="mode" value="stacked" checked> Stacked</label>
            </form>
        </div>
        <div class="d-flex flex-row justify-content-center">
            <div id="loading">
                <div class="spinner-border mt-3" role="status">
                    <span class="sr-only">Loading...</span>
                </div>
            </div>
            <div class="chart" id="chart"></div>
            <div class="chart" id="legend"></div>
        </div>
    </div>

    <div class="crossroads">
        <div class="crossroads_container">
            <h2>Data Access </h2>
            <div class="crossroads_container_btns {% if not user.is_authenticated %}columns{% endif %}">
                <a class="btn btn-default btn-outline-primary btn-lg btn-data_export" href="/dataExport/">
                    Download Data
                </a>
            </div>
        </div>
        {% if user.is_authenticated %}
            <div class="vl"></div>
            <div class="crossroads_container">
                <h2>Upload Data & Annotations </h2>
                <div class="crossroads_container_btns">
                    <a class="btn btn-default btn-outline-primary btn-lg" href="/dcc/addSeries/">
                        Web Interface
                    </a>
                    <a class="btn btn-default btn-outline-primary btn-lg" href="/dcc/batchUpload/">
                        CSV Upload
                    </a>
                </div>
            </div>
        {% endif %}
    </div>




    <div class=" text-center">
        This project has received funding from the European Union’s Horizon 2020 research and innovation
        programme under the Marie Sklodowska-Curie grant agreement No 643062.
    </div>
    {% render_bundle 'index' %}
{% endblock %}
